// LayoutGroupDemo.cpp : Legt das Klassenverhalten fr die Anwendung fest.
//

#include "stdafx.h"
#include "LayoutGroupDemo.h"

#include "MainFrm.h"
#include "LayoutGroupDemoDoc.h"
#include "LayoutGroupDemoView.h"
#include "HyperLink.h"
#include "AutoBuild.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLayoutGroupDemoApp

BEGIN_MESSAGE_MAP(CLayoutGroupDemoApp, CWinApp)
	//{{AFX_MSG_MAP(CLayoutGroupDemoApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG_MAP
	// Dateibasierte Standard-Dokumentbefehle
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
	// Standard-Druckbefehl "Seite einrichten"
	ON_COMMAND(ID_FILE_PRINT_SETUP, CWinApp::OnFilePrintSetup)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLayoutGroupDemoApp Konstruktion

CLayoutGroupDemoApp::CLayoutGroupDemoApp()
{
	// ZU ERLEDIGEN: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance platzieren
}

/////////////////////////////////////////////////////////////////////////////
// Das einzige CLayoutGroupDemoApp-Objekt

CLayoutGroupDemoApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CLayoutGroupDemoApp Initialisierung

BOOL CLayoutGroupDemoApp::InitInstance()
{
	AfxEnableControlContainer();

	SetRegistryKey(_T("Andreas Kapust"));

	LoadStdProfileSettings();

	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CLayoutGroupDemoDoc),
		RUNTIME_CLASS(CMainFrame),
		RUNTIME_CLASS(CLayoutGroupDemoView));
	AddDocTemplate(pDocTemplate);

	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();
#ifndef _DEBUG
	OnAppAbout();
#endif
	return TRUE;
}


/////////////////////////////////////////////////////////////////////////////
// CAboutDlg-Dialog fr Info ber Anwendung

class CAboutDlg : public CDialogLayout
{
public:
	CAboutDlg();

// Dialogdaten
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	CHyperLink	m_Link;
	CStatic	m_Pic;
	//}}AFX_DATA

	// berladungen fr virtuelle Funktionen, die vom Anwendungs-Assistenten erzeugt wurden
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	//{{AFX_MSG(CAboutDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogLayout(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogLayout::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	DDX_Control(pDX, IDC_STATIC_LINK, m_Link);
	DDX_Control(pDX, IDC_STATIC_PIC, m_Pic);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogLayout)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// Anwendungsbefehl zum Ausfhren des Dialogfelds
void CLayoutGroupDemoApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CLayoutGroupDemoApp-Nachrichtenbehandlungsroutinen

BOOL CAboutDlg::OnInitDialog() 
{
	CDialogLayout::OnInitDialog();
	CString m_Text;

	m_Text.Format(_T("Version 2.7.%ld\r\n(c) 1999-2015,\nA. Kapust"),BUILD_NUM);
	GetDlgItem(IDC_STATIC_VERS)->SetWindowText(m_Text);

	m_Link.SetURL(_T("http://www.akapplications.com"),_T("Link auf die Web-Side"));
	VGroup();
		HGroup();
			SetAlign(CENTER);
			AddChild(IDC_STATIC_TITEL,NORESIZE);
			EndGrp;
		AddSpace(10);
		HGroup();
			AddChild(IDC_STATIC_PIC,NORESIZE);
			AddSpace(10);
			VGroup();
				AddChild(IDC_STATIC_PIC2,NORESIZE);
				AddSpace(5);
				AddChild(IDC_STATIC_LINK,NORESIZE);
				AddChild(IDC_STATIC_VERS,NORESIZE);
				EndGrp;
			EndGrp;
	//	AddSpace(10);
		AddLine(LINE_FULL_WIDTH);
		
		HGroup();
			SetAlign(RIGHT);
			AddChild(IDOK,NORESIZE);
			EndGrp;
		EndGrp;
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

/**********************************************************************/
