// Test11.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "layoutgroupdemo.h"
#include "Test11.h"
#include "MainFrm.h"

#include "TestView.h"
#include "RightView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CTest11 


CTest11::CTest11(CWnd* pParent /*=NULL*/)
	: CDialogLayout(CTest11::IDD, pParent, _T("CTest11") ,true,LOAD_POS)
{
	//{{AFX_DATA_INIT(CTest11)
	m_Disable1 = FALSE;
	m_Disable2 = FALSE;
	//}}AFX_DATA_INIT
}


void CTest11::DoDataExchange(CDataExchange* pDX)
{
	CDialogLayout::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTest11)
	DDX_Control(pDX, IDC_VIEWBOX2, m_ViewBoxCtrl2);
	DDX_Control(pDX, IDC_VIEWBOX1, m_ViewBoxCtrl1);
	DDX_Check(pDX, IDC_CHECK1, m_Disable1);
	DDX_Check(pDX, IDC_CHECK2, m_Disable2);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTest11, CDialogLayout)
	//{{AFX_MSG_MAP(CTest11)
	ON_BN_CLICKED(IDC_CHECK2, OnDisable)
	ON_BN_CLICKED(IDC_CHECK1, OnDisable)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CTest11 

BOOL CTest11::OnInitDialog() 
{
	CDialogLayout::OnInitDialog();
/*
	Einmal mit CDocument und einmal ohne
 */

//	m_pDocClass1 = new CTestViewDoc1;
//	ASSERT_KINDOF( CDocument, m_pDocClass1 );
	m_ViewBoxCtrl1.SetView(RUNTIME_CLASS( CTestView1 ), /*m_pDocClass1 */ NULL);

//	m_pDocClass2 = new CTestViewDoc2;
//	ASSERT_KINDOF( CDocument, m_pDocClass2 );
	m_ViewBoxCtrl2.SetView(RUNTIME_CLASS( CRightView ), NULL );

	HGroup();
		AddChild(&m_ViewBoxCtrl1);
		AddSpace(5);
		AddChild(&m_ViewBoxCtrl2);
		AddSpace(5);
		VGroup();
			AddChild(IDOK,NORESIZE);
			AddChild(IDCANCEL,NORESIZE);
			AddSpace(0);
			AddVGrpCtrl(IDC_STATIC_GRP);
				AddChild(IDC_CHECK1,NORESIZE);
				AddChild(IDC_CHECK2,NORESIZE);
				EndGrp;
			EndGrp;
		EndGrp;
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

void CTest11::OnDisable() 
{
	UpdateData(true);
	m_ViewBoxCtrl1.EnableWindow(!m_Disable1);
	m_ViewBoxCtrl2.EnableWindow(!m_Disable2);
}
